> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync contact methods for a client



## OpenAPI

````yaml /openapi/contact-methods.json post /clients/{clientId}/contact-methods/sync
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /clients/{clientId}/contact-methods/sync:
    post:
      tags:
        - Contact Methods
      summary: Sync contact methods for a client
      operationId: contactMethods.sync
      parameters:
        - name: clientId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  maxItems: 250
                  items:
                    anyOf:
                      - allOf:
                          - type: object
                            properties:
                              type:
                                enum:
                                  - email
                                  - phone
                                  - mobile
                                  - fax
                                  - other
                                type: string
                                description: Type
                              isPrimary:
                                type: boolean
                                description: Is Primary
                              value:
                                type: string
                                minLength: 1
                                description: Value
                              label:
                                type: string
                                description: Label
                              externalId:
                                type: string
                                description: External ID
                              metadata:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                description: Metadata
                          - type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              _delete:
                                type: boolean
                            required:
                              - id
                      - allOf:
                          - type: object
                            properties:
                              clientId:
                                type: string
                                format: uuid
                                description: Client ID
                              type:
                                enum:
                                  - email
                                  - phone
                                  - mobile
                                  - fax
                                  - other
                                type: string
                                description: Type
                              isPrimary:
                                type: boolean
                                default: false
                                description: Is Primary
                              value:
                                type: string
                                minLength: 1
                                description: Value
                              label:
                                type: string
                                description: Label
                              externalId:
                                type: string
                                description: External ID
                              metadata:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                                description: Metadata
                            required:
                              - clientId
                              - type
                              - value
                          - type: object
                            properties:
                              id:
                                not: {}
                              _delete:
                                not: {}
                replaceMode:
                  type: boolean
              required:
                - items
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: array
                    items:
                      type: object
                      properties:
                        clientId:
                          type: string
                          format: uuid
                          description: Client ID
                        type:
                          enum:
                            - email
                            - phone
                            - mobile
                            - fax
                            - other
                          type: string
                          description: Type
                        isPrimary:
                          type: boolean
                          default: false
                          description: Is Primary
                        value:
                          type: string
                          minLength: 1
                          description: Value
                        label:
                          type: string
                          description: Label
                        isVerified:
                          type: boolean
                        verifiedAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        externalId:
                          type: string
                          description: External ID
                        metadata:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                          description: Metadata
                        id:
                          type: string
                          format: uuid
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - clientId
                        - type
                        - value
                        - isVerified
                        - verifiedAt
                        - id
                        - createdAt
                        - updatedAt
                  updated:
                    type: array
                    items:
                      type: object
                      properties:
                        clientId:
                          type: string
                          format: uuid
                          description: Client ID
                        type:
                          enum:
                            - email
                            - phone
                            - mobile
                            - fax
                            - other
                          type: string
                          description: Type
                        isPrimary:
                          type: boolean
                          default: false
                          description: Is Primary
                        value:
                          type: string
                          minLength: 1
                          description: Value
                        label:
                          type: string
                          description: Label
                        isVerified:
                          type: boolean
                        verifiedAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        externalId:
                          type: string
                          description: External ID
                        metadata:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                          description: Metadata
                        id:
                          type: string
                          format: uuid
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - clientId
                        - type
                        - value
                        - isVerified
                        - verifiedAt
                        - id
                        - createdAt
                        - updatedAt
                  deleted:
                    type: array
                    items:
                      type: string
                      format: uuid
                required:
                  - created
                  - updated
                  - deleted
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````